module PersonalPatent
  class Engine < ::Rails::Engine
  	initializer "personal_patent" do
		OrbitApp.registration "PersonalPatent",:type=> 'ModuleApp' do
			module_label 'module_name.personal_patent'
			base_url File.expand_path File.dirname(__FILE__)
			personal_plugin :enable => true, :sort_number => '35', :app_name=>"Patent", :intro_app_name=>"PersonalPatentIntro",:path=>"/plugin/personal_patent/profile",:front_path=>"/profile",:admin_path=>"/admin/patents",:i18n=>'module_name.personal_patent', :module_app_name=>"PersonalPatent", :field_modifiable => true, :analysis => true, :analysis_path => "/admin/patents/analysis"

			version "0.1"
			desktop_enabled true
			organization "Rulingcom"
			author "RD dep"
			intro "I am intro"
			update_info 'some update_info'

	      frontend_enabled
	      icon_class_no_sidebar "icons-user"
	      data_count 1..10
		end
	end
  end
end
